Articles of rvm

Remover RVM, Ruby e gemas completamente?

Eu tive que rebaixar o Rails e agora as gemas, as versões, e tudo mais, estão completamente confusas e eu sinto vontade de pular da minha janela. Eu só quero destruir tudo relacionado com RVM, Ruby e gemas para ter certeza de fazer uma reinstalação 100% limpa. Como eu posso fazer isso?

Não é possível instalar o Rails usando o RVM no Ubuntu 12.04 LTS

Estou usando o Ubuntu 12.04 LTS x86_64 Mínimo e instalei o Ruby e o RVM de acordo com estas instruções . O Ruby instala-se bem e o RVM é bem instalado e funciona perfeitamente. Eu visitei quase todas as perguntas que eu possa encontrar, e artigo sobre esta questão e nada funcionou. O Rails ainda […]

capistrano 3 + rvm1-capistrano3 rails 4.1 segredets.yml questão das variables ​​ambientais

Eu tenho implantado o aplicativo rails 4.1 com capistrano 3. ele tem funcionado bem. mas quando eu tentei fazer rake tasks (uncommenting require ‘capistrano / rails / assets’). eu recebo esse erro cap aborted! SSHKit::Runner::ExecuteError: Exception while executing on host xxx.xxx.xxx.xxx: rake exit status: 1 rake stdout: Nothing written rake stderr: config.eager_load is set to […]

Link ruby ​​para RVM

Tentei procurar uma resposta por cerca de uma hora, mas sem sorte. Eu instalei o ruby-2.0.0 com o meu rvm, mas o sistema detecta apenas o antigo ruby-1.9.3 Eu mudei o link sym em /usr/bin/ruby para apontar para o meu ruby ~/.rvm e agora eu recebo o seguindo quando eu corro ruby -v ruby 2.0.0p451 […]

Instalando o Ruby on Rails no Mac está falhando

Eu estou tentando instalar o Ruby on rails no meu Mac pela primeira vez. Eu corri o seguinte comando nas minhas janelas de terminal – rvm install 2.0.0 Mas continuo recebendo esse erro. Error running ‘./configure –prefix=/Users/tusharmathur/.rvm/rubyes/ruby-2.0.0-p0 –with-opt-dir=/usr/local/opt/libyaml:/usr/local/opt/readline:/usr/local/opt/libxml2:/usr/local/opt/libxslt:/usr/local/opt/libksba:/usr/local/opt/openssl:/usr/local/opt/sqlite –disable-install-doc –without-tcl –without-tk –enable-shared’, please read /Users/tusharmathur/.rvm/log/ruby-2.0.0-p0/configure.log There has been an error while running configure. Halting the […]

Rails falhando e instalações de pacotes estranhos

Há uma coisa que não consigo descobrir. Quando eu tento executar rails ele diz algo como: Could not find sprockets-2.1.2 in any of the sources Run `bundle install` to install missing gems. By the way sprockets-2.1.2 está instalado. (Eu bundle install sucesso) Mas, tanto quanto eu entendo quando eu executo rails o bin global está […]

Como faço para atualizar um aplicativo rails 3.2 de ruby ​​1.9.3 para ruby ​​2.1.5 usando rvm

Meu aplicativo Rails 3.2 / Ruby 1.9.3 está usando o RVM. Eu quero atualizar para usar ruby ​​2.1.5. Eu usei o RVM para instalar o Ruby 2.1.5 também. Então a rvm list mostra tanto 1.9.3 quanto 2.1.5 Meu diretório de projeto tem um arquivo .rvmrc especificando environment_id = “ruby-1.9.3-p551@current_foogems” Então eu tenho um gemset chamado […]

ruby on rails PIK gemset como gemset RVM?

Eu trabalhei com o RVM onde posso obter gemset e outras coisas, mas não há como obtê-lo com o PIK? qualquer ideia? Eu tentei procurar uma solução mas não consegui encontrar uma. Espero que alguém tenha alguma pista sobre esta questão? Obrigado!

faça o RVM carregar também gemas no fornecedor / gemas

Eu tenho um projeto (faixas) que envia suas jóias sob vendor/gems . Algumas dessas gemas não estão mais disponíveis através de rubygems, portanto, uma rake gems:install falha. Eu quero rubygems para carregar gems de ambos os rvm-gem-dirs ( /usr/local/rvm/gems/ruby-1.8.7-p334@tracks, /usr/local/rvm/gems/ruby-1.8.7-p334@global ) e do vendor/gems . Como posso adicionar esse diretório ao caminho de carga do […]

rvm pkg install openssl

Eu tentei instalar o openssl mas quando ele diz: é necessário reinstalar todos os rubys: rvm reinstall all –force rvm reinstall ruby-2.0.0-p0 –with-gcc=gcc-4.7 –with-openssl-dir=$rvm_path/usr Depois que eu corro a linha acima eu recebo Você solicitou a construção com ‘gcc-4.7’, mas não está no seu caminho. Eu tenho o xcode já instalado, o qual eu achei […]